Organization API: Customer Portal: Backups
The 4 Organization API operations for backups.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/backups
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/backups
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/vps/{uuid}/backups/{backup_id}
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
backup_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/backups/{backup_id}/restore
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
backup_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |